Bug 103234 - Cancelling content of a cell does not restore the previous text representing a value (e.g. '(/21) )
Summary: Cancelling content of a cell does not restore the previous text representing ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2016-10-15 09:42 UTC by Rpnpif
Modified: 2017-11-22 12:51 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rpnpif 2016-10-15 09:42:26 UTC
Enter in a cell : '(/21)
(Note the ' sign).
In this same cell, replace this content by a formula as =SUM(A1:A2)
We get : 5 for example, if the sum of A1:A2 is 5.
Type Ctrl-z.
The content of the cell is now : -21

Expected : the content of the cell should be : '(/21)
Comment 1 m.a.riosv 2016-10-15 10:32:54 UTC
Reproducible.
Win10x64
Version: 5.2.3.1 (x64)
Build ID: 01ec8f357e651ca9656837b783cf7e6a32ee4d92
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; 
Locale: es-ES (es_ES); Calc: CL
Version: 5.3.0.0.alpha0+
Build ID: ed5ca17dce1d088ce3fbbb3a30f748ba92cd07d9
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-10-09_05:40:51
Locale: es-ES (es_ES); Calc: CL
Comment 2 Cor Nouws 2016-10-27 10:55:28 UTC
works ok in 3.3.0.4 > regression
Comment 3 Rpnpif 2016-10-27 14:45:07 UTC
works ok in 4.0.6.2.2 not in 4.1.0.4.
Comment 4 Terrence Enger 2016-11-01 19:11:48 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2016-11-07 17:25:21 UTC Comment hidden (obsolete)
Comment 6 Stephan Bergmann 2016-11-08 11:59:51 UTC Comment hidden (obsolete)
Comment 7 Terrence Enger 2016-11-17 15:44:16 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-11-19 19:15:04 UTC Comment hidden (obsolete)
Comment 9 Rpnpif 2017-11-20 09:12:05 UTC
This issue is still present with LO Version: 5.4.3.2
Build ID: 92a7159f7e4af62137622921e809f8546db437e5
Threads CPU : 2; OS : Linux 4.9; UI Render : par défaut; VCL : gtk2; 
Locale : fr-FR (fr_FR.utf8); Calc: group
Comment 10 Xavier Van Wijmeersch 2017-11-20 16:30:07 UTC
can reproduce with

Version: 6.0.0.0.alpha1+
Build ID: dfc45f0abab98a1ce977c6ed95dfa07c185b6d11
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 11 Caolán McNamara 2017-11-20 21:10:03 UTC
https://gerrit.libreoffice.org/#/c/45008/ is my take on fixing this
Comment 12 Commit Notification 2017-11-21 10:25:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=466c3564058aae4946cdd21eab9dfef529554d90

tdf#103234 undo replacing text with formula

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-11-21 14:26:45 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2f0a7c5a9d8185fedef5c737d1b7479b9fc0c1e

Invert logic of ScSetStringParam::* enum value checks, tdf#103234 follow-up

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2017-11-21 14:26:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba9833a1d63747eaa5124271a1ac51cb926bce7a

Keep number format on string cell content Undo, tdf#103234 follow-up

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2017-11-22 08:57:32 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ad07d83af2a2b7df29223891bc028a4e7aedfe72&h=libreoffice-5-4

Resolves: tdf#103234 undo replacing text with formula

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Xavier Van Wijmeersch 2017-11-22 12:51:29 UTC
tested and its working with

Version: 6.0.0.0.alpha1+
Build ID: f1a55c4bfc6afcd9fd316e055e626097e0666ea8
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded